Skip to main content
GET
/
partner
/
card-programs
List card programs
curl --request GET \
  --url https://api.contro.me/v1/partner/card-programs \
  --header 'x-contro-api-key: <api-key>'
{
  "data": [
    {
      "id": "prog_xyz",
      "name": "US Virtual Visa",
      "description": "Virtual Visa cards for US customers",
      "type": "virtual",
      "provider": "stripe",
      "brand": "Visa",
      "currency": "USD",
      "region": "US",
      "image": null,
      "active": true,
      "createdAt": "2026-01-01T00:00:00Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

x-contro-api-key
string
header
required

Partner API key (sk_live_* for production, sk_test_* for sandbox)

Query Parameters

cursor
string

Cursor for pagination

limit
integer
default:20

Number of items per page (1-100)

Required range: 1 <= x <= 100

Response

List of card programs

data
object[]
required
hasMore
boolean
required
nextCursor
string | null
required